export default Button;
/**
 * Text Button component that has floating label, caption, and info tooltip.
 *
 * `🧪Beta`
 *
 * @type {React.ForwardRefExoticComponent<{
 *   id?: string,
 *   color?: "primary" | "secondary" | "neutral",
 *   type?: "btn-pri-hi" | "btn-sec-hi",
 *   disabled?: boolean,
 *   children?: any,
 *   onClick?: function,
 *   extraClasses?: string
 * }>}
 */
declare const Button: React.ForwardRefExoticComponent<{
    id?: string;
    color?: "primary" | "secondary" | "neutral";
    type?: "btn-pri-hi" | "btn-sec-hi";
    disabled?: boolean;
    children?: any;
    onClick?: Function;
    extraClasses?: string;
}>;
import React from "react";
