export const staticDirs: string[];
export const stories: string[];
export const addons: (string | {
    name: string;
    options: {
        transcludeMarkdown: boolean;
        enable?: undefined;
        enableSwcLoader?: undefined;
        enableSwcMinify?: undefined;
        swcLoaderOptions?: undefined;
        swcMinifyOptions?: undefined;
    };
} | {
    name: string;
    options: {
        enable: boolean;
        enableSwcLoader: boolean;
        enableSwcMinify: boolean;
        swcLoaderOptions: {};
        swcMinifyOptions: {};
        transcludeMarkdown?: undefined;
    };
})[];
export const framework: string;
export namespace core {
    const builder: string;
}
export function webpackFinal(config: any): Promise<any>;
